using System;

using Microsoft.UI.Xaml.Controls;

namespace TestProject
{
    /// <summary>
    ///  
    /// </summary>
    public sealed partial class MainPage : Page
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region  - MainPage()

        /// <summary>
        /// 
        /// </summary>
        public MainPage()
        {
            InitializeComponent();

            this.messageComboBox.SelectionChanged      += messageLengthComboBox_SelectionChanged;
            this.actionButtonComboBox.SelectionChanged += actionButtonComboBox_SelectionChanged;

            this.messageComboBox.SelectedIndex      = 1;
            this.actionButtonComboBox.SelectedIndex = 0;
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region Message Length ޺ ڽ   óϱ - messageLengthComboBox_SelectionChanged(sender, e)

        /// <summary>
        /// Message Length ޺ ڽ   óϱ
        /// </summary>
        /// <param name="sender">̺Ʈ ߻</param>
        /// <param name="e">̺Ʈ </param>
        private void messageLengthComboBox_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            if(this.infoBar == null)
            {
                return;
            }

            if(this.messageComboBox.SelectedIndex == 0) // Short
            {
                string shortMessage = "A short essential app message.";

                this.infoBar.Message = shortMessage;
            }
            else if(this.messageComboBox.SelectedIndex == 1) // Long
            {
                this.infoBar.Message = @"A long essential app message for your users to be informed of, acknowledge, or take action on. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Proin dapibus dolor vitae justo rutrum, ut lobortis nibh mattis. Aenean id elit commodo, semper felis nec.";
            }
        }

        #endregion
        #region Action Button ޺ ڽ   óϱ - actionButtonComboBox_SelectionChanged(sender, e)

        /// <summary>
        /// Action Button ޺ ڽ   óϱ
        /// </summary>
        /// <param name="sender">̺Ʈ ߻</param>
        /// <param name="e">̺Ʈ </param>
        private void actionButtonComboBox_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            if(this.infoBar == null)
            {
                return;
            }

            if(this.actionButtonComboBox.SelectedIndex == 0) // None
            {
                this.infoBar.ActionButton = null;
            }
            else if(this.actionButtonComboBox.SelectedIndex == 1) // Button
            {
                Button button = new Button();

                button.Content = "Action";

                this.infoBar.ActionButton = button;
            }
            else if(this.actionButtonComboBox.SelectedIndex == 2) // Hyperlink
            {
                HyperlinkButton hyperlinkButton = new HyperlinkButton();

                hyperlinkButton.NavigateUri = new Uri("https://icodebroker.com/");
                hyperlinkButton.Content     = "Informational link";

                this.infoBar.ActionButton = hyperlinkButton;
            }
        }

        #endregion
    }
}